12

I wanted to learn about autotools, so I just started watching some tutorials on YouTube.

I made a folder named hello and then made a configure.ac file:

AC_INIT([hello],[.01])
AC_OUTPUT 

I saved it and then ran autoreconf -i. Obviously, this didn't work the first time because it was not installed. Then I installed autoconf by the command sudo apt-get install autoconf2.13.

Now after this I again ran autoreconf -i, but now I am getting the error as show below:

Can't exec "libtoolize": No such file or directory at /usr/bin/autoreconf2.50 line 196.
Use of uninitialized value in pattern match (m//) at /usr/bin/autoreconf2.50 line 196.
  • I just checked my hello folder , it created the configure and the autom4te.cache but still , when running autoreconf -i it is showing these two lines of error , will there be any problems in future , what are these errors ? – trafalgar_law Mar 7 '14 at 8:00
  • Instead of au→reconf−iautoreconf -i if i do au→conf−iautoconf -i , then it is not showing any error . what are the difference b/w autoreconf and autoconf command – trafalgar_law Mar 7 '14 at 8:06
  • When you have an error message which refers to a program that appears to be missing, like libtoolize here, you can try apt-file search filename and replace filename with what you have and it'll tell you what package you need to install. – user44370 Mar 7 '14 at 8:12
  • @illuminE that sure is handy information will remember that for future – trafalgar_law Mar 7 '14 at 8:17
  • 1
    sudo apt-get install build-essential libtool worked for me - I would up vote it but I don't have the reputation to do so – kris Oct 14 '14 at 5:27
36

You should do sudo apt-get install build-essential libtool

  • Just tried it , but stil showing the same error – trafalgar_law Mar 7 '14 at 8:02
  • @TrafalgarLaw Could you also try out sudo apt-get install libtool. I'm not sure if it's included in build-essential. – UVV Mar 7 '14 at 8:05
  • Thanks man , you were right it worked :) ! libtool is not in build-essential – trafalgar_law Mar 7 '14 at 8:09
  • specially apt-get install libtool for the binary libtoolize – erm3nda Jul 15 '16 at 4:53
5

Try this..

sudo apt-get install automake autoconf libtool autoreconf -i

This worked for me.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.